 ; Ŀ
 ;   Daze: Returns the date in a more intuitive format.                    
 ;   Copyright 1994 by Rocket Software                                     
 ;   Civilization is not a state achieved by taking the easy way out.      
 ; 

 ; Ŀ
 ;   Subroutine Dazl: find the current day of the week.                    
 ;   Copyright 1994 by Rocket Software                                     
 ;   Are you sure you should be playing with this?                         
 ; 
 (DEFUN DAZL ( / dd yr mm days nn months offset jan1st)
  (setq dd (rtos (getvar "cdate") 2))
  (setq yr (read (substr dd 1 4)))
  (setq mm (1- (read (substr dd 5 2))))
  (setq days (read (substr dd 7 2)))
  (setq nn (rem (abs (- 1992 (if (> 0 yr) (1+ yr) yr))) 4))
  (setq months (list 31 (if (= nn 0) 29 28) 31 30 31 30 31 31 30 31 30 31))
  (while (> mm 0)
         (setq days (+ days (nth (1- mm) months)))
         (setq mm (1- mm)))
  (setq offset (rem (- yr 13) 28))
  (setq years (list 0 1 2 3 5 6 0 1 3 4 5 6 1 2 3 4 6 0 1 2 4 5 6 0 2 3 4 5))
  (setq jan1st (1- (+ days (nth offset years))))
  (setq jan1st (rem jan1st 7))
  (setq days (list "Mon" "Tues" "Wednes" "Thurs" "Fri" "Satur" "Sun"))
  (strcat (nth jan1st days) "day"))

 ; Ŀ
 ;   Daze: find the date and time to the nearest second.                   
 ;   Copyright 1994 by Rocket Software                                     
 ;   Rocket Software: not for those without their own ideas...             
 ; 
 (DEFUN DAZE (/ year month day hour ampm min suff wkdy)
  (setq date (rtos (getvar "cdate") 2 12))
  (setq year (substr date 1 4))
  (setq month (1- (read (substr date 5 2))))
  (setq month (nth month (list "January" "February" "March" "April"
                               "May" "June" "July" "August" "September"
                               "October" "November" "December")))
  (setq day (substr date 7 2))
  (if (= (substr day 1 1) "0") (setq day (substr day 2)))
  (setq hour (read (substr date 10 2)))
  (if (> hour 12)
      (progn
           (setq hour (itoa (- hour 12)))
           (setq ampm "pm"))
      (progn
           (setq hour (itoa hour))
           (setq ampm "am")))
  (setq min (substr date 12 2))
  (cond ((or (= day "1") (= day "21") (= day "31"))
         (setq suff "st"))
        ((or (= day "2") (= day "22"))
         (setq suff "nd"))
        ((or (= day "3") (= day "23"))
         (setq suff "rd"))
        (T (setq suff "th")))
  (setq wkdy (dazl))
  (strcat wkdy ", " month " the " day suff " " year ", " hour ":" min ampm))