 ; PG - replace the grid with an equivalent pattern of point entities.
 ; Copyright 1993 by Rocket Software
 ; The statement "It takes all kinds" is not completely true - there are 
 ; undeniably a variety of types of people, but their place in the great
 ; scheme of things is more difficult to assess.  The same is true of software.
 (DEFUN C:PG (/ limax maxx maxy limin minx miny grunit gridx gridy numx numy)
  (setvar "cmdecho" 0)
  (setq limax (getvar "limmax"))
  (setq maxx (car limax))
  (setq maxy (cadr limax))
  (setq limin (getvar "limmin"))
  (setq minx (car limin))
  (setq miny (cadr limin))
  (setq grunit (getvar "gridunit"))
  (if (equal grunit (list 0.0 0.0))
      (setq grunit (getvar "snapunit")))
  (setq gridx (car grunit))
  (setq gridy (cadr grunit))
  (setq numx (1+ (fix (/ (- maxx minx) gridx))))
  (setq numy (1+ (fix (/ (- maxy miny) gridy))))
  (command "point" limin)
  (command "array" (entlast) "" "r" numy numx "0,0" grunit)
  (if (= (getvar "gridmode") 1) (command "grid" "off"))
 (princ))