 ; Ŀ
 ;   Erie - restratify text and attributes.                                
 ;   Copyright 1999 by Rocket Software                                     
 ;   Danger: do not under any circumstances use this program.              
 ;   Also contains Eery, the last ditch repair program.                    
 ; 

 ; Ŀ
 ;   Subroutine Splat - divide a text string into a list of substrings.    
 ;   Arguments: Sepchr, the field separator character.                     
 ;              Linn, the text string.                                     
 ;   Returns a list of field values, removes leading and trailing spaces.  
 ;                                                                         
 ;   This could probably replace Split wherever it is called...            
 ; 
 (DEFUN SPLAT (sepchr linn / len pos name1 strlst)
  (while (/= (strlen linn) 0)
         (while (and (= (substr linn 1 1) " ")
                     (/= (strlen linn) 0))
                (setq linn (substr linn 2)))
         (while (= (substr linn (setq len (strlen linn))) " ")
                (setq linn (substr linn 1 (1- len))))
         (setq pos 1)
         (setq len (strlen linn))
         (while (and (/= (substr linn pos 1) sepchr)
                     (>= len pos))
                (setq pos (1+ pos)))
         (setq name1 (substr linn 1 (1- pos)))
         (while (= (substr name1 (setq len (strlen linn))) " ")
                (setq name1 (substr name1 1 (1- len))))
         (setq linn (substr linn (1+ pos)))
         (setq strlst (append strlst (list name1))))
  (if (null strlst) (setq strlst (list "")))
  strlst)
 ; Ŀ
 ;   Splat end.                                                            
 ; 

 ; Ŀ
 ;   Panama.                                                               
 ; 
 (DEFUN PANAMA (prestr / str strlst sub)
  (setq str "")
  (setq strlst (splat " " prestr))
  (while (setq sub (car strlst))
         (setq strlst (cdr strlst))
         (if (= str "")
             (setq str sub)
             (setq str (strcat str "
" sub))))
 str)
 ; Ŀ
 ;   Panama.                                                               
 ; 

 ; Ŀ
 ;   Amanap.                                                               
 ; 
 (DEFUN AMANAP (prestr / str strlst sub)
  (setq str "")
  (setq strlst (splat "
" prestr))
  (while (setq sub (car strlst))
         (setq strlst (cdr strlst))
         (if (= str "")
             (setq str sub)
             (setq str (strcat str " " sub))))
 str)
 ; Ŀ
 ;   Amanap.                                                               
 ; 

 ; Ŀ
 ;   Eery - undo the work of Erie.                                         
 ; 
 (DEFUN C:EERY (/ panama)
  (setq panama amanap)
  (c:erie)
 (princ))
 ; Ŀ
 ;   Eery end.                                                             
 ; 

 ; Ŀ
 ;   Erie.                                                                 
 ; 
 (DEFUN C:ERIE (/ num ss lenx so str as1 entt len enam)
  (setvar "cmdecho" 0)
  (setq num 0)
  (if (setq ss (ssget "X" '((0 . "TEXT"))))
      (setq lenx (strcat "/" (itoa (sslength ss))))
      (prompt "No text found."))
 ; Ŀ
 ;   While there are text entities in the selection set.                   
 ; 
  (while (and ss (setq so (ssname ss num)))
         (grtext -2 (strcat (itoa (setq num (1+ num))) lenx))
         (setq str (panama (cdr (setq as1 (assoc 1 (setq entt (entget so)))))))
         (entmod (subst (cons 1 str) as1 entt)))
 ; Ŀ
 ;   Now do the attributes.                                                
 ; 
  (setq num 0)
  (if (setq ss (ssget "X" (list (cons 66 1) (cons 0 "INSERT"))))
      (progn
           (setq len (strcat "/" (itoa (sslength ss))))
           (while (setq enam (ssname ss num))
                  (grtext -2 (strcat (itoa (setq num (1+ num))) len))
                  (while (/= "SEQEND" (cdr (assoc 0 (setq entt
                                        (entget (setq enam (entnext enam)))))))
                         (if (/= 1 (logand 1 (cdr (assoc 70 entt)))) ; not inv
                             (progn 
                                  (setq str (panama (cdr (setq as1
                                                         (assoc 1 entt)))))
                                  (entmod (subst (cons 1 str) as1 entt)))))
                  (entupd enam))))
 (princ))